#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'styledialog.ui'
**
** Created: 2013-08-05T05:46:53
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "styledialog.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a StyleDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
StyleDialog::StyleDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "StyleDialog" );
    StyleDialogLayout = new QHBoxLayout( this, 11, 6, "StyleDialogLayout"); 

    stylebox = new QGroupBox( this, "stylebox" );
    stylebox->setFrameShape( QGroupBox::GroupBoxPanel );
    stylebox->setFrameShadow( QGroupBox::Sunken );
    stylebox->setColumnLayout(0, Qt::Vertical );
    stylebox->layout()->setSpacing( 6 );
    stylebox->layout()->setMargin( 11 );
    styleboxLayout = new QVBoxLayout( stylebox->layout() );
    styleboxLayout->setAlignment( Qt::AlignTop );

    gradients = new QCheckBox( stylebox, "gradients" );
    styleboxLayout->addWidget( gradients );

    highlights = new QCheckBox( stylebox, "highlights" );
    styleboxLayout->addWidget( highlights );
    StyleDialogLayout->addWidget( stylebox );
    languageChange();
    resize( QSize(217, 103).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( gradients, highlights );
}

/*
 *  Destroys the object and frees any allocated resources
 */
StyleDialog::~StyleDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StyleDialog::languageChange()
{
    setCaption( tr2i18n( "Style Dialog" ) );
    stylebox->setTitle( tr2i18n( "Style Settings" ) );
    gradients->setText( tr2i18n( "Use &gradients" ) );
    QWhatsThis::add( gradients, tr2i18n( "This option will draw buttons and several other widgets using a gradient texture" ) );
    highlights->setText( tr2i18n( "Highlight on &mouse hover" ) );
    QWhatsThis::add( highlights, tr2i18n( "This option will highlight buttons and several other widgets when the mouse cursor is over them" ) );
}

/****************************************************************************
** StyleDialog meta object code from reading C++ file 'styledialog.h'
**
** Created: Mon Aug 5 05:46:53 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "styledialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *StyleDialog::className() const
{
    return "StyleDialog";
}

QMetaObject *StyleDialog::metaObj = 0;
static QMetaObjectCleanUp cleanUp_StyleDialog( "StyleDialog", &StyleDialog::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString StyleDialog::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "StyleDialog", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString StyleDialog::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "StyleDialog", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* StyleDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"StyleDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_StyleDialog.setMetaObject( metaObj );
    return metaObj;
}

void* StyleDialog::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "StyleDialog" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool StyleDialog::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool StyleDialog::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool StyleDialog::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool StyleDialog::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
